# HURA/Makefile 
############################################################################

# use same configuration parameters as in directory above 
include ../Config.common
include ../Config.site

# compilation flags specific for this directory
HURACFLAGS = 

############################################################################
# No need to change anything below here
############################################################################
# the source files in this directory
SOURCES = hura.c ui_hura.c
OBJECTS = ${SOURCES:.c=.o}

THISDIRFLAGS = -I. -I.. -I../POOLS -I../GDT -I../BREP $(HURACFLAGS)



#default target: compile
all: libhura.a

# generate source file dependencies
depend:
	$(MAKEDEPEND) $(MKDEPFLAGS) $(SOURCES) > deps

# compile and link
libhura.a: ${OBJECTS}
	$(AR) libhura.a $(OBJECTS) 
	$(RANLIB) libhura.a

install:

uninstall:

# make a clean source tree again
clean: cleangen
	-${RM} libhura.a *.o *~ core deps
	${TOUCH} deps

distclean: clean

###############################################################################
# dependencies --- automatically generated with make depend !!
###############################################################################
include deps
